Skip to content
OpenPostDocs
OpenPostDocs
Workspaces

Permanently delete a Workspace and its content

Permanently deletes the Workspace and its content only after Organization Owner authorization, exact canonical-name confirmation, recent authentication, and lifecycle-blocker checks. Billing and required audit records remain.

DELETE/workspaces/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/workspaces/string" \  -H "Content-Type: application/json" \  -d '{    "confirm_name": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/DeleteWorkspaceOutputBody.json",  "deleted": true}